Generar informes de errores

Para emitir un error desde una función de Cloud Functions en Stackdriver Error Reporting, realiza lo siguiente:

Node.js

// These WILL be reported to Stackdriver Error Reporting
console.error(new Error('I failed you'));
throw new Error('I failed you'); // Will cause a cold start if not caught

// These will NOT be reported to Stackdriver Error Reporting
console.info(new Error('I failed you')); // Logging an Error object at the info level
console.error('I failed you'); // Logging something other than an Error object
throw 1; // Throwing something other than an Error object
callback('I failed you');
res.status(500).send('I failed you');

Python (Beta)

# This WILL be reported to Stackdriver Error
# Reporting, and WILL NOT show up in logs or
# terminate the function.
from google.cloud import error_reporting
client = error_reporting.Client()

try:
    raise RuntimeError('I failed you')
except RuntimeError:
    client.report_exception()

# This WILL be reported to Stackdriver Error Reporting,
# and WILL terminate the function
raise RuntimeError('I failed you')

# WILL NOT be reported to Stackdriver Error Reporting, but will show up
# in logs
import logging
print(RuntimeError('I failed you (print to stdout)'))
logging.warn(RuntimeError('I failed you (logging.warn)'))
logging.error(RuntimeError('I failed you (logging.error)'))
sys.stderr.write('I failed you (sys.stderr.write)\n')

# This WILL be reported to Stackdriver Error Reporting
from flask import abort
return abort(500)

Si deseas un informe de errores más detallado, puedes usar las bibliotecas cliente de Stackdriver Error Reporting.

Puedes ver los errores informados en Stackdriver Error Reporting en GCP Console. Además, puedes ver los errores informados desde una función en particular cuando lo seleccionas en la lista de funciones en GCP Console.

Las excepciones sin detectar que la función genera aparecerán en Stackdriver Error Reporting. Ten en cuenta que algunas excepciones sin detectar, por ejemplo, las que se muestran de forma asíncrona, pueden causar un inicio en frío en una invocación de función futura. Esta situación reduce el rendimiento de la función.

¿Te ha resultado útil esta página? Enviar comentarios:

Enviar comentarios sobre...

Documentación de Cloud Functions